summaryrefslogtreecommitdiffstats
path: root/src/signframework/pullconfig
diff options
context:
space:
mode:
authorChris Engel <cjengel@us.ibm.com>2017-09-18 11:24:36 -0400
committerChris Engel <cjengel@us.ibm.com>2017-09-18 11:44:05 -0400
commit0ea64ed5aa32cc8b0c54ae7f2c3b25789d664333 (patch)
treeede5a18e0cd3762861eba62adeba572cc6e91027 /src/signframework/pullconfig
parent1683dc770b753a6cc7c8651fcbbb847b735797e8 (diff)
downloadsb-signing-framework-0ea64ed5aa32cc8b0c54ae7f2c3b25789d664333.tar.gz
sb-signing-framework-0ea64ed5aa32cc8b0c54ae7f2c3b25789d664333.zip
Initial drop of signing server framework
Diffstat (limited to 'src/signframework/pullconfig')
-rwxr-xr-xsrc/signframework/pullconfig34
1 files changed, 34 insertions, 0 deletions
diff --git a/src/signframework/pullconfig b/src/signframework/pullconfig
new file mode 100755
index 0000000..75699b9
--- /dev/null
+++ b/src/signframework/pullconfig
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Copyright 2017 IBM Corp.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ "$1" = "" ]; then
+ echo "Syntax: pullconfig <signframework-cfg base dir>"
+ exit 1;
+fi
+
+BASEDIR=$1
+
+if [ ! -e "$BASEDIR/cfgs/framework.cfg" ]; then
+ echo "ERROR : $BASEDIR doesn't appear to have framework configuration files"
+ exit 1;
+fi
+
+if [ ! -e "$PWD/framework.c" ]; then
+ echo "ERROR : pullconfig must be run from framework directory"
+ exit 1;
+fi
+
+cp -r $BASEDIR/cfgs/* .
OpenPOWER on IntegriCloud